liquidnet:
  info:
    port: 9002
    context: /service-bank
    name: liquidnet-service-bank
  logfile:
    path: /data/logs
    name: service-bank
    config: classpath:logback-spring.xml
    file-max-size: 200MB
    pattern-file: '%d{yyyy-MM-dd HH:mm:ss.SSS} [ %-5level] %thread [%logger{96}:%line] - %msg%n'
    pattern-console: '%d{yyyy-MM-dd HH:mm:ss.SSS} [ %-5level] %thread [%logger{96}:%line] - %msg%n'
    pattern-rolling-file-name: ${liquidnet.logfile.path}/${liquidnet.logfile.name}-%d{yyyy-MM-dd}.%i.log
    level-root: info
  mysql:
    database-name: liquidnet_bank
  conf:
    currencycloud:
      email_address: liquidnet@lightnet.io
      auth:
        environment: demo
        login_id: michael.ran@lightnet.io
        api_key: 745dbaee98a8b7115df3696b6fa7b48959294c34117e7240ebcd1e07268a9bad

#以下为spring各环境个性配置
spring:
  rabbitmq:
    addresses: ${liquidnet.rabbitmq.host}
    port: ${liquidnet.rabbitmq.port}
    username: ${liquidnet.rabbitmq.username}
    password: ${liquidnet.rabbitmq.password}
  redis:
    port: ${liquidnet.redis.port}
    host: ${liquidnet.redis.host}
    password: ${liquidnet.redis.password}
    lettuce:
      pool:
        max-active: 8
        max-wait: -1
        max-idle: 8
        min-idle: 0
  data:
    mongodb:
      uri: mongodb://${liquidnet.mongodb.host}:${liquidnet.mongodb.port}/${liquidnet.mongodb.gfsdatabasename}
